Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.management.stats
Class AbstractFlowConstructStatistics

    java.lang.Object
      org.mule.management.stats.AbstractFlowConstructStatistics

All Implemented Interfaces:
  Serializable, Statistics

Direct Known Subclasses:
  FlowConstructStatistics

    public abstract class AbstractFlowConstructStatistics

extends Object
implements Statistics

Statistics common to flows and services

See Also:
  Serialized Form

Field Summary
`protected boolean` | `enabled`
`protected String` | `flowConstructType`
`protected String` | `name`
`protected edu.emory.mathcs.backport.java.util.concurrent.atomic.AtomicLong` | `receivedEventASync`
`protected edu.emory.mathcs.backport.java.util.concurrent.atomic.AtomicLong` | `receivedEventSync`

Constructor Summary
`AbstractFlowConstructStatistics(String flowConstructType, String name)`

Method Summary
`void` | `clear()`
`long` | `getAsyncEventsReceived()`
`String` | `getFlowConstructType()`
`String` | `getName()`
`long` | `getSamplePeriod()`
`long` | `getSyncEventsReceived()`
`long` | `getTotalEventsReceived()`
`void` | `incReceivedEventASync()`
`void` | `incReceivedEventSync()`
`boolean` | `isEnabled()` Are statistics logged
`void` | `setEnabled(boolean b)` Enable statistics logs (this is a dynamic parameter)
`void` | `setName(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### flowConstructType

    protected final String flowConstructType

### name

    protected String name

### enabled

    protected boolean enabled

### receivedEventSync

    protected final edu.emory.mathcs.backport.java.util.concurrent.atomic.AtomicLong receivedEventSync

### receivedEventASync

    protected final edu.emory.mathcs.backport.java.util.concurrent.atomic.AtomicLong receivedEventASync

Constructor Detail

### AbstractFlowConstructStatistics

    public AbstractFlowConstructStatistics(String flowConstructType,
                                           String name)

Method Detail

### setEnabled

    public void setEnabled(boolean b)

  Enable statistics logs (this is a dynamic parameter)

### isEnabled

    public boolean isEnabled()

  Are statistics logged

  Specified by:
    `isEnabled` in interface `Statistics`

### getName

    public String getName()

### setName

    public void setName(String name)

### clear

    public void clear()

### incReceivedEventSync

    public void incReceivedEventSync()

### incReceivedEventASync

    public void incReceivedEventASync()

### getAsyncEventsReceived

    public long getAsyncEventsReceived()

### getSyncEventsReceived

    public long getSyncEventsReceived()

### getTotalEventsReceived

    public long getTotalEventsReceived()

### getFlowConstructType

    public String getFlowConstructType()

### getSamplePeriod

    public long getSamplePeriod()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.